libvisio::VSDOptionalTextBlockStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions

| VSDOptionalTextBlockStyle ()
| VSDOptionalTextBlockStyle (const std::optional< double > &lm, const std::optional< double > &rm, const std::optional< double > &tm, const std::optional< double > &bm, const std::optional< unsigned char > &va, const std::optional< bool > &isBgFilled, const std::optional< Colour > &bgClr, const std::optional< double > &defTab, const std::optional< unsigned char > &td)
| VSDOptionalTextBlockStyle (const VSDOptionalTextBlockStyle &style)=default
| ~VSDOptionalTextBlockStyle ()
VSDOptionalTextBlockStyle & | operator= (const VSDOptionalTextBlockStyle &style)=default
void | override (const VSDOptionalTextBlockStyle &style)

## Public Attributes

std::optional< double > | leftMargin
std::optional< double > | rightMargin
std::optional< double > | topMargin
std::optional< double > | bottomMargin
std::optional< unsigned char > | verticalAlign
std::optional< bool > | isTextBkgndFilled
std::optional< Colour > | textBkgndColour
std::optional< double > | defaultTabStop
std::optional< unsigned char > | textDirection

## Constructor & Destructor Documentation

## VSDOptionalTextBlockStyle() [1/3]

libvisio::VSDOptionalTextBlockStyle::VSDOptionalTextBlockStyle | ( |  | ) |

inline

Referenced by operator=(), override(), and VSDOptionalTextBlockStyle().

## VSDOptionalTextBlockStyle() [2/3]

libvisio::VSDOptionalTextBlockStyle::VSDOptionalTextBlockStyle | ( | const std::optional< double > & | lm,
|  | const std::optional< double > & | rm,
|  | const std::optional< double > & | tm,
|  | const std::optional< double > & | bm,
|  | const std::optional< unsigned char > & | va,
|  | const std::optional< bool > & | isBgFilled,
|  | const std::optional< Colour > & | bgClr,
|  | const std::optional< double > & | defTab,
|  | const std::optional< unsigned char > & | td )

inline

## VSDOptionalTextBlockStyle() [3/3]

libvisio::VSDOptionalTextBlockStyle::VSDOptionalTextBlockStyle | ( | const VSDOptionalTextBlockStyle & | style | ) |

default

## ~VSDOptionalTextBlockStyle()

libvisio::VSDOptionalTextBlockStyle::~VSDOptionalTextBlockStyle | ( |  | ) |

inline

## Member Function Documentation

## operator=()

VSDOptionalTextBlockStyle & libvisio::VSDOptionalTextBlockStyle::operator= | ( | const VSDOptionalTextBlockStyle & | style | ) |

default

## override()

void libvisio::VSDOptionalTextBlockStyle::override | ( | const VSDOptionalTextBlockStyle & | style | ) |

inline

## Member Data Documentation

## bottomMargin

std::optional<double> libvisio::VSDOptionalTextBlockStyle::bottomMargin

Referenced by override(), VSDOptionalTextBlockStyle(), and VSDOptionalTextBlockStyle().

## defaultTabStop

std::optional<double> libvisio::VSDOptionalTextBlockStyle::defaultTabStop

Referenced by override(), VSDOptionalTextBlockStyle(), and VSDOptionalTextBlockStyle().

## isTextBkgndFilled

std::optional<bool> libvisio::VSDOptionalTextBlockStyle::isTextBkgndFilled

Referenced by override(), VSDOptionalTextBlockStyle(), and VSDOptionalTextBlockStyle().

## leftMargin

std::optional<double> libvisio::VSDOptionalTextBlockStyle::leftMargin

Referenced by override(), VSDOptionalTextBlockStyle(), and VSDOptionalTextBlockStyle().

## rightMargin

std::optional<double> libvisio::VSDOptionalTextBlockStyle::rightMargin

Referenced by override(), VSDOptionalTextBlockStyle(), and VSDOptionalTextBlockStyle().

## textBkgndColour

std::optional<Colour> libvisio::VSDOptionalTextBlockStyle::textBkgndColour

Referenced by override(), VSDOptionalTextBlockStyle(), and VSDOptionalTextBlockStyle().

## textDirection

std::optional<unsigned char> libvisio::VSDOptionalTextBlockStyle::textDirection

Referenced by override(), VSDOptionalTextBlockStyle(), and VSDOptionalTextBlockStyle().

## topMargin

std::optional<double> libvisio::VSDOptionalTextBlockStyle::topMargin

Referenced by override(), VSDOptionalTextBlockStyle(), and VSDOptionalTextBlockStyle().

## verticalAlign

std::optional<unsigned char> libvisio::VSDOptionalTextBlockStyle::verticalAlign

Referenced by override(), VSDOptionalTextBlockStyle(), and VSDOptionalTextBlockStyle().

The documentation for this struct was generated from the following file:

- VSDStyles.h